Subject: Re: bug#18718: Encrypted messages expose Bcc identities

From: Jens Lechtenboerger <[email-masked]>
Date: Sun, 27 Dec 2015 21:09:17 +0100

On 2015-12-27, at 19:26, Lars Ingebrigtsen wrote:

> Jens Lechtenboerger <[email-masked]> writes:
>
>> A patch is attached.  The new function mml-secure-bcc-is-safe does
>> nothing on its own but can be added to message-send-hook or called
>> from message-send and friends.
>
> I've applied the patch, but there were bugs.  It referred to an unbound
> variable called "hdr", which I've changed to bcc.  Please look over the
> resulting code.

You are right.  I tested against the wrong load-path.  Sorry.

> Also, I get these warnings:
>
> In end of data:
> gnus/mml-sec.el:429:1:Warning: the following functions are not known to be
>     defined: mail-strip-quoted-names, message-fetch-field, gnus-subsetp

Indeed.  Actually, when should I use require, when autoload?  In
particular, for gnus-util both variants are used in different files,
and I fail to see a pattern.  As mml-sec just uses autoloads, the
attached patch adds more of them to avoid the warnings.

Best wishes
Jens

>From 1f54b417fd487880f794cfff2eecceb87a07d4d8 Mon Sep 17 00:00:00 2001
From: Jens Lechtenboerger <[email-masked]>
Date: Sun, 27 Dec 2015 20:40:15 +0100
Subject: [PATCH 2/2] More autoloads to avoid compile warnings

---
 lisp/gnus/mml-sec.el | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/lisp/gnus/mml-sec.el b/lisp/gnus/mml-sec.el
index dbae280..d7702d7 100644
--- a/lisp/gnus/mml-sec.el
+++ b/lisp/gnus/mml-sec.el
@@ -25,10 +25,13 @@
 
 (eval-when-compile (require 'cl))
 
+(autoload 'gnus-subsetp "gnus-util")
+(autoload 'mail-strip-quoted-names "mail-utils")
 (autoload 'mml2015-sign "mml2015")
 (autoload 'mml2015-encrypt "mml2015")
 (autoload 'mml1991-sign "mml1991")
 (autoload 'mml1991-encrypt "mml1991")
+(autoload 'message-fetch-field "message")
 (autoload 'message-goto-body "message")
 (autoload 'mml-insert-tag "mml")
 (autoload 'mml-smime-sign "mml-smime")
-- 
1.9.1